import { App } from "../types/App.ts";
import api from "../utils/api.ts";
import { useQuery } from "@tanstack/react-query";

export default function useQueryApps() {
  return useQuery({
    queryKey: ["apps"],
    queryFn: () => api.get("apps").json<App[]>(),
  });
}
